Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82262 - Error handling for non-existant printers.
Summary: Error handling for non-existant printers.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-20 17:36 UTC by Owen Taylor
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-04 20:35:31 UTC


Attachments (Terms of Use)

Description Owen Taylor 2003-01-20 17:36:43 UTC
I'm not sure how easily fixable this is, but it strikes me as 
really lame that it works this way, so I think it's worth a
bug report.

 - Create a new lpd remote printer, use a hostname that
   doesn't exist
 - Try to print a test page (or save and print from outside
   redhat-config-printer-gui)
 - Printing appears to succeed, output goes into thin  
   air.
 - lpq shyows no sign of failure

After frustration, go to localhost:631 in a web browser,
manage the queue, see:

  Printer State: idle, accepting jobs
  "Unable to locate printer 'threewest.rdu.redhat.com' - Sucesss"

We _really_ should be able to propagate this error message
back upstream so that the user (or even the person running 
redhat-config-printer-gui) sees it.

Comment 1 Tim Waugh 2003-01-21 17:59:44 UTC
This is the printer-state-message property of the queue.  I guess printman is
the best place to display that?

Comment 2 Tim Waugh 2003-01-21 19:07:36 UTC
Hmm, redhat-config-printer seems better after all.  Please take a look at
0.6.38-1.  It overloads the 'description' column and displays errors there. 
Better suggestions welcome!

Comment 3 Bill Nottingham 2006-08-04 20:35:31 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.


Note You need to log in before you can comment on or make changes to this bug.